The SEPA Direct Debit API allows you to initiate EUR-denominated collections directly from your customer's bank account in the Netherlands by submitting debit instructions in JSON format, from which an ISO 20022 pain.008 file is generated and sent to the debtor's bank under a valid mandate.
Create SEPA Direct Debit Payment (Beta)
Initiates a SEPA Direct Debit payment by submitting direct debit payment instructions via ISO.
Headers
X-Request-IDID of the request, unique to the call, as determined by the initiating party.
X-BicFi[A-Z]{6,6}[A-Z2-9][A… · requiredUnique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.
PSU-IDClient ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.
PSU-IP-AddressThe IP address of the PSU from the HTTP request between the PSU and the TPP.
PSU-User-AgentThe Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.
X-AffiliatedASPSP-IDSome ASPSPs have sub-branches. The ID of an affiliated ASPSP as related to the X-BicFi header
PSU-Corporate-IDCorporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.
PSU-Corporate-ID-TypeMight be mandated in the ASPSP's documentation. Only used in a corporate context.
Consent-IDThe ID of the consent authorizing access to the PSU's account information. This data element may be contained if the payment initiation transaction is part of a session, i.e. combined AIS/PIS service.
ID of the corresponding consent object as returned by an Account Information Consent Request.
Create SEPA Direct Debit Payment (Beta) › Request Body
requestedExecutionDateDate when payment is scheduled to be collected in ISO-Date Format, e.g. 2020-10-30.
creditorName^[A-Za-z0-9 ]{1,70}$ · requiredCreditor Name
Reference to an account by either
- IBAN, of a payment account, or
- BBAN, for payment accounts if there is no IBAN, or
- the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
- the Primary Account Number (PAN) of a card in a masked form, or
- an alias to access a payment account via a registered mobile phone number (MSISDN).
creditorId^[A-Z]{2}\d{2}[A-Z0-… · requiredA unique identifier assigned to the creditor authorising them to initiate SEPA Direct Debit collections.
localInstrumentCodeLocal instrument code. See Statuses & Types documentation for full descriptions of values.
sequenceTypeSequence type for SEPA Direct Debit collections. See Statuses & Types documentation for full descriptions of values.
Mandate information that authorises the SEPA Direct Debit.
debtorAgent[A-Z]{6,6}[A-Z2-9][A… · requiredBICFI
debtorNameDebtor Name
Reference to an account by either
- IBAN, of a payment account, or
- BBAN, for payment accounts if there is no IBAN, or
- the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
- the Primary Account Number (PAN) of a card in a masked form, or
- an alias to access a payment account via a registered mobile phone number (MSISDN).
instructionIdInstruction Id – identification for end-to-end processing.
creditorAgent[A-Z]{6,6}[A-Z2-9][A…BICFI
creditorAgentNameCreditor Agent Name
chargeBearerCharge Bearer. ChargeBearerType1Code from ISO20022
ultimateCreditorName^[A-Za-z0-9 ]{1,70}$Ultimate Creditor Name
debtorAgentNameDebtor Agent Name
ultimateDebtorName^[A-Za-z0-9 ]{1,70}$Ultimate Debtor Name
purposeCodeExternalPurpose1Code from ISO 20022. Values from ISO 20022 External Code List ExternalCodeSets_1Q2018 June 2018.
remittanceInformationUnstructuredArrayArray of unstructured remittance information
Array of structured remittance information elements.
Up to 10 regulatory reporting items.
Create SEPA Direct Debit Payment (Beta) › Responses
Created
transactionStatusUses codes from the ISO 20022 data table. See Statuses & Types documentation for full descriptions of values.
paymentIdID of the generated payment initiation resource. Only available for transactions generated via the Open Banking Platform.
A list of hyperlinks to be recognised by the TPP. The actual hyperlinks used in the response depend on the dynamical decisions of the ASPSP when processing the request.
Remark: All links can be relative or full links, to be decided by the ASPSP.
Type of links admitted in this response, (further links might be added for ASPSP defined extensions):
- 'scaRedirect': In case of an SCA Redirect Approach, the ASPSP is transmitting the link to which to redirect the PSU browser.
- 'scaOAuth': In case of a SCA OAuth2 Approach, the ASPSP is transmitting the URI where the configuration of the Authorisation Server can be retrieved. The configuration follows the OAuth 2.0 Authorisation Server Metadata specification.
- 'startAuthorisation': In case, where an explicit start of the transaction authorisation is needed, but no more data needs to be updated (no authentication method to be selected, no PSU identification nor PSU authentication data to be uploaded).
- 'startAuthorisationWithPsuIdentification': The link to the authorisation endpoint, where the authorisation sub-resource has to be generated while uploading the PSU identification data.
- 'startAuthorisationWithPsuAuthentication':
The link to the authorisation endpoint, where the authorisation sub-resource has to be generated while
uploading the PSU authentication data.
- 'startAuthorisationWithEncryptedPsuAuthentication': Same as startAuthorisationWithPsuAuthentication where the authentication data need to be encrypted on application layer in uploading.
- 'startAuthorisationWithAuthenticationMethodSelection': The link to the authorisation endpoint, where the authorisation sub-resource has to be generated while selecting the authentication method. This link is contained under exactly the same conditions as the data element "scaMethods"
- 'startAuthorisationWithTransactionAuthorisation': The link to the authorisation endpoint, where the authorisation sub-resource has to be generated while authorising the transaction e.g. by uploading an OTP received by SMS.
- 'self': The link to the payment initiation resource created by this request. This link can be used to retrieve the resource data.
- 'status': The link to retrieve the transaction status of the payment initiation.
- 'scaStatus': The link to retrieve the scaStatus of the corresponding authorisation sub-resource. This link is only contained, if an authorisation sub-resource has been already created.
Optional list of available Strong Customer Authentication (SCA) methods, shown if SCA is required and the user can choose a method. When this is present, a startAuthorisationWithAuthenticationMethodSelection link will also be included for starting the authorisation with method selection.
Authentication Object
Contained in addition to the data element chosenScaMethod if challenge data is needed for SCA. In rare cases, this attribute is also used in the context of the startAuthorisationWithPsuAuthentication link.
psuMessageText to be displayed to the PSU
Body of the JSON response for a successful VoP request.
Get Payment
Retrieves the details and status of an ISO payment.
path Parameters
paymentIdResource identification of the generated payment initiation resource.
ID of the generated payment initiation resource. Only available for transactions generated via the Open Banking Platform.
Headers
X-Request-IDID of the request, unique to the call, as determined by the initiating party.
X-BicFi[A-Z]{6,6}[A-Z2-9][A… · requiredUnique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.
PSU-IDClient ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.
PSU-IP-AddressThe IP address of the PSU from the HTTP request between the PSU and the TPP.
PSU-User-AgentThe Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.
X-AffiliatedASPSP-IDSome ASPSPs have sub-branches. The ID of an affiliated ASPSP as related to the X-BicFi header
PSU-Corporate-IDCorporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.
PSU-Corporate-ID-TypeMight be mandated in the ASPSP's documentation. Only used in a corporate context.
Consent-IDThe ID of the consent authorizing access to the PSU's account information. This data element may be contained if the payment initiation transaction is part of a session, i.e. combined AIS/PIS service.
ID of the corresponding consent object as returned by an Account Information Consent Request.
FX-Quote-IDID of the FX Quote to be used for the payment. Used for cross-border payments only.
Get Payment › Responses
OK
Reference to an account by either
- IBAN, of a payment account, or
- BBAN, for payment accounts if there is no IBAN, or
- the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
- the Primary Account Number (PAN) of a card in a masked form, or
- an alias to access a payment account via a registered mobile phone number (MSISDN).
Reference to an account by either
- IBAN, of a payment account, or
- BBAN, for payment accounts if there is no IBAN, or
- the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
- the Primary Account Number (PAN) of a card in a masked form, or
- an alias to access a payment account via a registered mobile phone number (MSISDN).
creditorName^[A-Za-z0-9 ]{1,70}$ · requiredCreditor Name
endToEndIdentificationcreditorAgent[A-Z]{6,6}[A-Z2-9][A…BICFI
remittanceInformationUnstructuredUnstructured remittance information
Structured remittance information
debtorAccountMessageMessage for the debtor
requestedExecutionDateDate when payment is scheduled to be executed in ISO-Date Format, e.g. 2020-10-30
transactionStatusUses codes from the ISO 20022 data table. See Statuses & Types documentation for full descriptions of values.
Confirm Payment
Confirms and finalizes a pending ISO payment and sends it for processing. Only confirmed payments are transmitted to the clearing system for execution.
Headers
X-Request-IDID of the request, unique to the call, as determined by the initiating party.
X-BicFi[A-Z]{6,6}[A-Z2-9][A… · requiredUnique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.
PSU-IDClient ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.
PSU-IP-AddressThe IP address of the PSU from the HTTP request between the PSU and the TPP.
PSU-User-AgentThe Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.
X-AffiliatedASPSP-IDSome ASPSPs have sub-branches. The ID of an affiliated ASPSP as related to the X-BicFi header
PSU-Corporate-IDCorporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.
PSU-Corporate-ID-TypeMight be mandated in the ASPSP's documentation. Only used in a corporate context.
Consent-IDThe ID of the consent authorizing access to the PSU's account information. This data element may be contained if the payment initiation transaction is part of a session, i.e. combined AIS/PIS service.
ID of the corresponding consent object as returned by an Account Information Consent Request.
Confirm Payment › Request Body
paymentIdsbatchBookingPreferredConfirm Payment › Responses
OK

